Bug 1785633 - [UI] The report of templates is not shown for the templates those are not exported.
Summary: [UI] The report of templates is not shown for the templates those are not exp...
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Red Hat Satellite
Classification: Red Hat
Component: Templates Plugin
Version: 6.7.0
Hardware: Unspecified
OS: Unspecified
unspecified
medium
Target Milestone: 6.7.0
Assignee: Oleh Fedorenko
QA Contact: Jitendra Yejare
URL:
Whiteboard:
Depends On:
Blocks: 1778146
TreeView+ depends on / blocked
 
Reported: 2019-12-20 13:58 UTC by Jitendra Yejare
Modified: 2020-04-14 13:28 UTC (History)
4 users (show)

Fixed In Version: tfm-rubygem-foreman_templates-7.0.7
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2020-04-14 13:28:08 UTC
Target Upstream Version:


Attachments (Terms of Use)


Links
System ID Priority Status Summary Last Updated
Foreman Issue Tracker 28630 Normal Closed [UI] Exporting templates does not show results for templates that were filtered out 2020-06-12 11:20:27 UTC
Red Hat Product Errata RHSA-2020:1454 None None None 2020-04-14 13:28:19 UTC

Description Jitendra Yejare 2019-12-20 13:58:05 UTC
Description of problem:
The report of export templates is not shown for the templates that are not exported let's say due to negating option. 

Version-Release number of selected component (if applicable):
Satellite 6.7 snap 6

How reproducible:
Always

Steps to Reproduce:
1. Attempt to export the templates from local/git repo with some filter and negate option.
2. Look at the post export reports of exported templates.


Actual results:
The report of export templates is not shown for the templates that are not exported due to the negating option. 

Expected results:
The report of export templates should be reported for the templates that are not exported due to any reason and with the reason. Reason like 'The template is not exported due to filter and negate options provided'.

Additional info:
The import templates show the report for templates that are not imported due to negate option.

Comment 3 Ondřej Pražák 2020-01-03 11:21:58 UTC
We show the templates that were filtered out for import with a warning so this is a valid enhancement request.

Comment 4 Ondřej Pražák 2020-01-03 11:28:24 UTC
Created redmine issue https://projects.theforeman.org/issues/28630 from this bug

Comment 6 Bryan Kearney 2020-01-30 21:01:11 UTC
Upstream bug assigned to ofedoren@redhat.com

Comment 7 Bryan Kearney 2020-01-30 21:01:13 UTC
Upstream bug assigned to ofedoren@redhat.com

Comment 8 Bryan Kearney 2020-02-05 09:01:38 UTC
Moving this bug to POST for triage into Satellite 6 since the upstream issue https://projects.theforeman.org/issues/28630 has been resolved.

Comment 9 Jitendra Yejare 2020-03-09 14:41:02 UTC
Verified!

@Satellite 6.7 snap 15

Steps:
---------
1. Export the templates with some filter and negate option.


Observation:
--------------
The report for templates that are not exported due to negate is displayed as below:
"Skipping, 'name' filtered out based on 'filter' and 'negate' settings"

Comment 12 errata-xmlrpc 2020-04-14 13:28:08 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://access.redhat.com/errata/RHSA-2020:1454


Note You need to log in before you can comment on or make changes to this bug.